Subject: bug#25752: Acknowledgement (go incremental builds broken)

From: zimoun <[email-masked]>
Date: Fri, 18 Dec 2020 21:00:14 +0100

Hi,

On Sat, 25 Feb 2017 at 10:58, Leo Famulari <[email-masked]> wrote:
> On Fri, Feb 24, 2017 at 02:50:10PM -0500, Hank Donnay wrote:
>> After talking on IRC, it seems like grafts are the problem. Adding
>> `--no-grafts` to the above commands has them succeed.
>> 
>> The GOROOT (store location, in this case) gets encoded in the
>> generated source by the 'dist' tool, so changing that is going to
>> cause issues.
>> 
>> Is there a way to disable grafts on a per-package basis, in the definition?
>
> You can disable them on the command-line for any tool that builds
> things, using the '--no-grafts' option, which is a "Common build option"
> [0]. For example, `guix environment --ad-hoc go --no-grafts`.
>
> If you do this, you should understand that the ungrafted Go package will
> contain some serious security vulnerabilities, since we only use grafts
> to fix vulnerabilities in core packages. [1]
>
> We should figure out why this issue manifests when go is grafted, and
> fix the root cause.

I suspect closing this bug had been forgotten.  If yes, feel free to
close it.  Otherwise, I do not understand what is the next actionable
step.

<http://issues.guix.gnu.org/issue/25752>

All the best,
simon